Qt5.3.2 application fails to run on Linux 3.14.28 using eglfs platform

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Qt5.3.2 application fails to run on Linux 3.14.28 using eglfs platform

1,092 Views
ronylim
Contributor II

Hello,

I am currently testing a Qt Application on the linux 3.14.28 using Yocto Dizzy 1.7.2 and Freescale community BSP. My board is  i.mx6 SabreLite. The issue that I have is the qt application always gets segmentation fault when I utilize eglfs platform. I wonder if anyone has similar issue. Thank you.

root@bcr:~# uname -a

Linux bcr 3.14.28-8982 #1 SMP Thu Jun 11 15:46:31 EDT 2015 armv7l GNU/Linux

root@bcr:~# BCR-GUI -platform eglfs

QEglFSImx6Hooks will set environment variable FB_MULTI_BUFFER=2 to enable double buffering and vsync.

If this is not desired, you can override this via: export QT_EGLFS_IMX6_NO_FB_MULTI_BUFFER=1

Segmentation fault

Best,

Ronny

Tags (3)
0 Kudos
Reply
2 Replies

582 Views
sanjeevsharma
Contributor IV

Hello

This may because of mismatch of Kernel gpu driver version and graphics driver version used in user-land,which was causing the issue.

Regards

Sanjeev Sharma

0 Kudos
Reply

582 Views
Bio_TICFSL
NXP TechSupport
NXP TechSupport

Hi Rony,

Please check: i.MX6 and QtWayland bad performance and other issue

Hope this helps

0 Kudos
Reply